# norootforbuild

Name:           python-pydot
Version:        1.0.2
Release:        2.1
Summary:        Create (dot) graphs from python
License:        MIT
Group:          Development/Libraries/Python
Source:         pydot-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}


%description
pydot allows to easily create both directed and non directed graphs from Python. 
Currently all attributes implemented in the Dot language are supported (up to Graphviz 2.16).


%prep
%setup -q -n pydot-%{version}


%build
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES
rm -rf %{buildroot}/usr/ChangeLog
rm -rf %{buildroot}/usr/LICENSE
rm -rf %{buildroot}/usr/README
%{__perl} -n -i -e 'print unless m,%{_prefix}/(README|LICENSE|ChangeLog)$,' INSTALLED_FILES

%clean  
rm -rf "$RPM_BUILD_ROOT"  

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README ChangeLog LICENSE

%changelog
* Thu Dec 31 2009 Leo Eraly <leo@unstable.be> - 1.0.2-1
- Initial package
